Package org.apache.sling.commons.log.logback.internal.joran

# Class OsgiModelHandler

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.model.processor.ModelHandlerBase
org.apache.sling.commons.log.logback.internal.joran.OsgiModelHandler

All Implemented Interfaces:
  `ch.qos.logback.core.spi.ContextAware`

public class OsgiModelHandler extends ch.qos.logback.core.model.processor.ModelHandlerBase
Handler for the OsgiModel model class

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`OsgiModelHandler(ch.qos.logback.core.Context context)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`protected Class<OsgiModel>`
`getSupportedModelClass()`
`void`
`handle(ch.qos.logback.core.model.processor.ModelInterpretationContext mic, ch.qos.logback.core.model.Model model)`
`static OsgiModelHandler`
`makeInstance(ch.qos.logback.core.Context context, ch.qos.logback.core.model.processor.ModelInterpretationContext mic)`
Factory to create an instance of this class

### Methods inherited from class ch.qos.logback.core.model.processor.ModelHandlerBase

`isSupportedModelType, postHandle, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OsgiModelHandler

public OsgiModelHandler(ch.qos.logback.core.Context context)
Constructor

Parameters:
  `context` - the logging context

## Method Details

### makeInstance

public static OsgiModelHandler makeInstance(ch.qos.logback.core.Context context, ch.qos.logback.core.model.processor.ModelInterpretationContext mic)
Factory to create an instance of this class

Parameters:
  `context` - the logging context
  `mic` - the model interpretation context
Returns:
  a new instance of OsgiModelHandler

### getSupportedModelClass

protected Class<OsgiModel> getSupportedModelClass()

Overrides:
  `getSupportedModelClass` in class `ch.qos.logback.core.model.processor.ModelHandlerBase`

### handle

public void handle(ch.qos.logback.core.model.processor.ModelInterpretationContext mic, ch.qos.logback.core.model.Model model) throws ch.qos.logback.core.model.processor.ModelHandlerException

Specified by:
  `handle` in class `ch.qos.logback.core.model.processor.ModelHandlerBase`
Throws:
  `ch.qos.logback.core.model.processor.ModelHandlerException`